Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Interface DynamicProperty

- A Dynamic class property getter interface.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `get(java.lang.Object object)` Call the getter on the given object
    `java.lang.String` | `getPropertyName()` @return The name of the property
    `boolean` | `isPropertyMatch(java.lang.String propertyName)` Whether the target class contains the specified property
    `void` | `set(java.lang.Object object, java.lang.Object newValue)` Call the setter on the given object

- - ### Method Detail

    - #### public java.lang.Object get(java.lang.Object object)

      Call the getter on the given object

      Parameters:
        `object` - The target object
      Returns:
        The result of the getter

    - #### public java.lang.String getPropertyName()

      Returns:
        The name of the property

    - #### public boolean isPropertyMatch(java.lang.String propertyName)

      Whether the target class contains the specified property

      Parameters:
        `propertyName` - The name of the property
      Returns:
        true if the class has the property

    - #### public void set(java.lang.Object object, java.lang.Object newValue)

      Call the setter on the given object

      Parameters:
        `object` - The target object
        `newValue` - The new value of the property